\section{Operating System}
\subsection{Social Acceptability of Open Source Software by Example of the Ubuntu Operating System}
\subsubsection{Software Licenses}
A number of independent software companies issued a strategy in which the system software developed with Open Source Software OSS or open components
APIs. it is common for OSS projects that are sponsored by companies to ask experts donate their work to ensure the project can define 
its products under a specific OSS license. For example, the license of an apache constributor gives its rights to apache software foundation so that the 
foundation defines the system generated under the apache license. Such licensing, only the OSS license has rights to its component systems, 
and has become the norm that continues to the present day.

\subsection{Journal of Systems and Software}
\subsubsection{Failure patterns in operating systems: An exploratory and observational study}
An extensive review of the software reliability literature shows the most contributing from studies in this field on user reliability application. 
Note that sophisticated apps need to run above OS operating system software Thus, the failure of the OS can be very impactful even the most reliable 
applications. Several previous studies have investigated failures in OS software However, none of them have yet to approach the problem of discovery
and characterization of OS failure patterns. In the context of this paper, OS The failure pattern is defined as a combination of repeated OS systematically
The incidence of failure across multiple computers is analyzed in different workplaces. this it is important to highlight that finding patterns in OS failures is relevant
from a different perspective. For example, research on software reliability modeling regularly assumes OS failures occur independently This assumption may 
produce inaccurate results for the scenario where failure is correlated. In this case, the failure pattern helps find out whether the failure is independent, 
even causal relationships can be assessed, which is essential for analysis and experimental research in this field.

\subsection{Procedia Computer Science}
\subsubsection{Use of Real-time Operating Systems in the Integrated Modular Avionics}
The real-time operating system is one of the main components of the IMA compliant on board equipment concept. RTOS is essential for apps to function and 
interact with each other for sure, safe and secure. In addition, RTOS tends to become more prominent in the coming years
constant growth of computing power of avionics hardware. It is possible that the new Russian on-board equipment is based on a foreign RTOS, as before. But
Based on our experience we can now conclude that it is not always advisable and acceptable. On the other hand, Russian RTOS does not currently meet 
the required requirements. So the question from the RTOS perspective progress becomes very important Development of RTOS is a complex task To do it properly 
need to integrate science and industry, get State support, take into account the experience of a foreign RTOS developer, summarize as necessary
scientific research and organize the whole process of design and development.

\subsection{Computers & Operations Research}
\subsubsection{Sustsinnable operation modeling and data analytics}
the growth of operations management is remarkable, and it is amazing to see the contributions of researchers from the early nineteenth century up
the twentieth century is now in applying scientific methods to integrate the company globally to manage production and services,
the growth of this technology is unprecedented. The current business environment expecting the company to be flexible and nimble in the face of deep uncertainty
Recent decision making, in addition to conventional performance purpose of cost, quality, flexibility, reliability, and reliability,
business operations are in a position to combine socially and goals that are environmentally responsible for decision making. Fate
500 green washing companies to utilize sustainable and operation navigate to change the competitive priorities of socially responsible strategies
become a dominant destination, in addition to conventional performance aim. On the research side, sustainable development Decision models are sporadic, and it is not clear how far
Social and environmental goals are incorporated into various things aspects of operations management. Some potential ways in which different aspects of operation are different
can include social and environmental goals, as follows. That is, In product and service design, conventional operational research Models are available to check economic feasibility, design feasibility,
and technical feasibility. So far, sustainable goals are not well taken in the design stage of operations management.

\subsection{Computers & Security}
\subsubsection{A cyber security data triage operation retrieval system}
Malignant threats from colossal and complex, unpredictable and undetermined threats can occur anytime and Everywhere, in the virtual world there are 
many automatic defense measures that have been developed to protect a critical information infrastructure of an organization, such as IDS intrusion detection 
system, firewalls, anti-virus software, vulnerability scanning tools, and security information and event management SIEM. Currently, most organizations 
have built a Security Operations Center SOCs to provide centralized control over network monitoring and defender issues. However, SOC operation is very much 
done man in the loop process that is considering the data collected by virtual defense actions such as IDS warnings, firewall logs and residential reports,
The primary responsibility of the analyst is to understand the data to achieve cyberconsciousness so that an incident response team can take action
on time, and effectively against the threat.

\subsection{Wearables Operating Systems: A Comparison Based on Relevant Constraints}
\subsubsection {software usability}
Operating systems and other devices that can be used on computers that can be used and also can be analyzed in one on one, we first discuss related to the specificity of software that serves to control and manage the installed hardware, such as the operating system created. computers that can operate. In this way, to be able to evaluate the operating system can be considered separately for a context that can be easily used.
	
	
\subsection {Integrated Dynamic Models that Optimize the Risk of Real Time Operating Systems}
\subsubsection {Provable Security for Outsourcing Database Operations}
Security requirements are highly dependent on the application. The most powerful idea of ​​secrecy holds every bit of information about the question and also the secret of the data, no matter how many questions it can analyze. This idea will make it possible to do business with an arbitrary provider of malicious services, but we will soon know that it is impossible to achieve. even more appalling, application to the database is very extreme in this case, relational algebra is a rich formalism that implements complex structures in the data being processed.

\subsection {Simulating the Behavior of Computer Systems, Co simulation of Hardware / Software}
\subsubsection {software}
Hooking is one way to manipulate the work system of the program in a better way.
Hooking got its purpose that is there are many uses, benefits and purpose of hooking but i just write about two benefits of hooking ie:

-Debugging
In the development of the software, hooking can be used to monitor workflow, find the location locate the error on the program to detect the presence or absence of leak memory.

-Non Debugging
The purpose of hooking is very broad, with the start of implementation of antivirus to prevent active virus in memory to manipulate workflow.

\subsection {Managing Knowledge in Open Source Software Test Process}
\subsubsection {Open Source Software Development Process}
Open source software (English: open source software) is a type of software whose source code is open to learn, modify, and disseminate. [1] Due to this nature, the development is carried out by an open community association compatible with the software. Members of the community who are volunteers may also be employees of a company needed to assist in the development of the software. New products and software. All free software is open source software, on the contrary open source software, depending on the rules used in licensing the open source software

\subsection {A Systematic Approach to Evaluating Open Source Software}
\subsubsection {Open Source Software}
Tantangan dalam mengevaluasi perangkat lunak OSS merupakan termasuk keuntungan terbesar yang diberikan. Keuntungan terbesarnya yaitu kode sumber 
yang tersedia untuk dianalisis, yang sangat penting dalam menentukan apakah perangkat lunak berkualitas tinggi dan dapat dipertahankan atau tidak. Keuntungan lainnya adalah banyak proyek OSS menyediakan akses baca-tulis publik ke sistem pelacakan masalah mereka, yang dapat memberi wawasan berharga tentang seberapa cepat proyek berkembang, apakah cacat ditemukan dan diperbaiki, dan jumlah waktu yang dibutuhkan untuk menyelesaikan masalah .
Memilih OSS yang sesuai untuk masalah tertentu atau serangkaian persyaratan bisa sangat menantang. Beberapa kesulitan disebabkan oleh fakta bahwa tidak ada kriteria kriteria yang berlaku umum untuk digunakan dalam evaluasi, dan biasanya ada banyak proyek OSS yang tersedia untuk memecahkan masalah tertentu. Oleh karena itu, evaluasi sering dilakukan secara ad hoc, dengan menggunakan kriteria apa pun yang tersedia bagi evaluator yaitu Conradi, Bunse, Torchiano, Slyngstad, & Morisio, 2009; Norris, 2004.

\subsection {Incorporating Free/Open-Source Data and Tools in Software Engineering Education}
\subsubsection {Open source software has been widely used in education}
Open source software has been widely used in education, especially in computer science education. In the field of software engineering, open source software has special uses. Because at this time, software development is highly dependent on tools, which are computer software programs that can facilitate analysis, design, implementation, testing, and project management in software development. In other words, to be considered a modern software engineer, one must know how to use various CASE software or computer aided software engineering.

With limited resources within academia, it is unrealistic to buy all of the latest commercial development tools for classroom use. Therefore, open source tools provide an opportunity for students to explore the development of today's technology in the software industry. In addition, commercial software source code and commercial software development data is not accessible to most academic institutions.
